%define upstream_name	wxMaxima

Name:		wxmaxima
Version:		15.04.0
Release:	%mkrel 2
Summary:	An interface for the computer algebra system Maxima
Group:		Sciences/Mathematics
License:		GPLv2+
URL:		http://wxmaxima.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Requires:	maxima
BuildRequires: libxml2-devel
BuildRequires: desktop-file-utils
BuildRequires: ImageMagick
BuildRequires: %{_lib}wxgtku3.0-devel
Requires:       wxgtk3.0

%description
wxMaxima is a cross-platform graphical front-end for the computer
algebra system Maxima based on wxWidgets. It provides nice display
of mathematical output and easy access to Maxima functions through
menus and dialogs.


%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std

%find_lang %{upstream_name}

# icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
convert data/wxmaxima.png -scale 48x48 %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert data/wxmaxima.png -scale 32x32 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert data/wxmaxima.png -scale 16x16 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png


# correct icon name in menu entry
perl -pi -e 's,wxmaxima.png,%{name},g' %{buildroot}%{_datadir}/applications/*

desktop-file-install --vendor="" \
    --remove-category="Application" \
    --remove-category="Utility" \
    --remove-category="X-Red-Hat-Base" \
    --remove-category="X-Red-Hat-Base-Only" \
    --add-category="GTK" \
    --add-category="Science" \
    --add-category="Math" \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/*


%files -f %{upstream_name}.lang
%doc README COPYING AUTHORS ChangeLog NEWS
%{_bindir}/%{name}
%{_datadir}/applications/wxMaxima.desktop
%{_datadir}/%{upstream_name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/appdata/wxmaxima.appdata.xml
%{_datadir}/info/wxmaxima.info.bz2
%{_datadir}/man/man1/wxmaxima.1.bz2
%{_datadir}/mime/packages/x-wxmathml.xml
%{_datadir}/mime/packages/x-wxmaxima-batch.xml
%{_datadir}/pixmaps/text-x-wxmathml.svg
%{_datadir}/pixmaps/text-x-wxmaxima-batch.svg
%{_datadir}/pixmaps/wxmaxima.png
%{_datadir}/pixmaps/wxmaxima.svg


%changelog
* Sun Oct 06 2019 tex - 15.04.0-2pclos2019
- rebuild against updates

* Wed Jun 24 2015 bb <bb> 15.04.0-1pclos2015
- update

* Wed Jun 17 2015 gseaman <galen.seaman at comcast.net> 14.12.1-1gseaman2015
- import from mga
